{% extends 'base.html' %}

{% block title %} Register {% endblock %}

{% block content %}
<h2 class="text-center">Register</h2>
<div class="container">
  <div class="row">
    <div class="col-6 offset-3">
      <form method="post" class="needs-validation" novalidate>
        {% csrf_token %}

        <div class="mb-3">
          <label for="{{ form.username.id_for_label }}" class="form-label">Username:</label>
          <input type="text" class="form-control" id="{{ form.username.id_for_label }}" name="{{ form.username.name }}" maxlength="150" required>
          <div class="invalid-feedback">
            Please choose a username.
          </div>
        </div>

        <div class="mb-3">
          <label for="{{ form.first_name.id_for_label }}" class="form-label">First Name:</label>
          <input type="text" class="form-control" id="{{ form.first_name.id_for_label }}" name="{{ form.first_name.name }}" maxlength="30" required>
          <div class="invalid-feedback">
            Please provide your first name.
          </div>
        </div>

        <div class="mb-3">
          <label for="{{ form.last_name.id_for_label }}" class="form-label">Last Name:</label>
          <input type="text" class="form-control" id="{{ form.last_name.id_for_label }}" name="{{ form.last_name.name }}" maxlength="150" required>
          <div class="invalid-feedback">
            Please provide your last name.
          </div>
        </div>

        <div class="mb-3">
          <label for="{{ form.email.id_for_label }}" class="form-label">Email:</label>
          <input type="email" class="form-control" id="{{ form.email.id_for_label }}" name="{{ form.email.name }}" maxlength="254" required>
          <div class="invalid-feedback">
            Please provide a valid email address.
          </div>
        </div>

        <div class="mb-3">
          <label for="{{ form.password1.id_for_label }}" class="form-label">Password:</label>
          <input type="password" class="form-control" id="{{ form.password1.id_for_label }}" name="{{ form.password1.name }}" maxlength="128" required>
          <div class="invalid-feedback">
            Please choose a password.
          </div>
        </div>

        <div class="mb-3">
          <label for="{{ form.password2.id_for_label }}" class="form-label">Confirm Password:</label>
          <input type="password" class="form-control" id="{{ form.password2.id_for_label }}" name="{{ form.password2.name }}" maxlength="128" required>
          <div class="invalid-feedback">
            Please confirm your password.
          </div>
        </div>

        <button type="submit" class="btn btn-success">Register</button>
      </form>
    </div>
  </div>
</div>
{% endblock %}
